%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name wcmatch
%bcond_without tests # Enables tests

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        10.0
Release:        1.0.1%{?dist}
Summary:        Wildcard/glob file name matcher

License:        MIT License
URL:            https://github.com/facelessuser/wcmatch
Source0:        %{pypi_source}
Source1:        THIRD_PARTY_LICENSES.txt
BuildArch:      noarch
# Oracle patches
Patch1001:	0001-Add-setup.py-file.patch	
Patch1002:	0002-Modify-setup.py-file.patch
Patch1003:	0003-Update-project.toml-to-latest-specification.patch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%if %{with tests}
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pytest
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-bracex >= 2.1.1
%endif

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-bracex >= 2.1.1


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
cp %{SOURCE1} .
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}
#remove test from generic dir
rm -rf %{buildroot}/%{python3_sitelib}/tests


%if %{with tests}
%check
%{pytest}
%endif


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.md docs/src/markdown/about/license.md THIRD_PARTY_LICENSES.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 05 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 10.0-1.0.1
- Fix version on setup.py patch
- Enables tests

* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 10.0-1.0.0
- Update to 10.0

* Tue Aug 27 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 8.5.1-1.0.2
- Remove incorrectly installed tests

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 8.5.1-1.0.1
- Update to 8.5.1
- Rebuild with python 3.11

* Wed Jul 5 2023  Qing Lin <qing.lin@oracle.com> - 8.3-2.0.2
- Add 3rd party license

* Fri Jan 27 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 8.3-2.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 8.3-2
- Build against python 3.9

* Wed Nov 03 2021 Odilon Sousa 8.3-1
- Update to 8.3

* Wed Sep 08 2021 Evgeni Golov - 8.2-2
- Build against Python 3.8

* Tue Jul 13 2021 Evgeni Golov 8.2-1
- Update to 8.2

* Wed Mar 31 2021 Evgeni Golov - 8.1.2-1
- Initial package.
